Calling Developers!
We are reenergizing our code contribution process! Learn More

What are the Slack Archives?

It’s a history of our time together in the Slack Community! There’s a ton of knowledge in here, so feel free to search through the archives for a possible answer to your question.

Because this space is not active, you won’t be able to create a new post or comment here. If you have a question or want to start a discussion about something, head over to our categories and pick one to post in! You can always refer back to a post from Slack Archives if needed; just copy the link to use it as a reference..

Hi, My operating system windows 10, when I install Spryker, I followed developer guide which is "B2B

Options
U02AYPJ2E8H
U02AYPJ2E8H Posts: 6 🧑🏻‍🚀 - Cadet
edited August 2021 in Help

Hi,
My operating system windows 10,
when I install Spryker, I followed developer guide which is "B2B or B2C Demo Shop installation: Windows, with Development Virtual Machine". in the last step I cannot install composer with command "composer install". I got warning which is at the below.

Also after this warning I tried to change extension sets at php.ini file. anything was not changed.

Also I tried composer update and I got second warning. You can find it second on screenshots. And again I changed upload size limit as -1 anything was not changed.

Can you Help me please?

Comments

  • UK7KBE2JW
    UK7KBE2JW Posts: 463 🧑🏻‍🚀 - Cadet
    Options

    Hi, try to run it with "COMPOSER_MEMORY_LIMIT=-1 composer update"

  • U02AYPJ2E8H
    U02AYPJ2E8H Posts: 6 🧑🏻‍🚀 - Cadet
    edited August 2021
    Options

    Thank you for your answer I did then I got same problems at first image without red part.

  • U028VTHNMF1
    U028VTHNMF1 Posts: 64 🧑🏻‍🚀 - Cadet
    Options

    @U02AYPJ2E8H have you installed all the necessary php modules?, also what version of composer you are using?

  • U02AYPJ2E8H
    U02AYPJ2E8H Posts: 6 🧑🏻‍🚀 - Cadet
    Options

    @U028VTHNMF1 I did some changes related php.ini also checked dll relateted at ext file and then restart all services. but if I cheked php extention with (php - m) command. It did not apper. You can see my composer version and my php path on the picture.

  • U028VTHNMF1
    U028VTHNMF1 Posts: 64 🧑🏻‍🚀 - Cadet
    edited August 2021
    Options

    @U02AYPJ2E8H Cross verified your modules, i think you have missed some modules which I have listed below. Install those and try compose install.

    =========
    FFI
    ftp
    igbinary
    pcntl
    pdo_pgsql
    pgsql
    posix
    redis
    shmop
    sodium
    sysvmsg
    sysvsem

    sysvshm

  • U028VTHNMF1
    U028VTHNMF1 Posts: 64 🧑🏻‍🚀 - Cadet
    Options

    Also, for your reference i have attached our php modules list.

  • U02AYPJ2E8H
    U02AYPJ2E8H Posts: 6 🧑🏻‍🚀 - Cadet
    edited August 2021
    Options

    @U028VTHNMF1 My php.ini file and ext folder are like below. This changes not be shown console (like php -m command). I think it look different php ini file at different path. So extensions you sent are not working too.

  • U028VTHNMF1
    U028VTHNMF1 Posts: 64 🧑🏻‍🚀 - Cadet
    Options

    @U02AYPJ2E8H am using Ubuntu 20.04 so the extensions folder look different.

  • U028VTHNMF1
    U028VTHNMF1 Posts: 64 🧑🏻‍🚀 - Cadet
    Options

    But if you install the missed php modules it will resolve the issue.

  • U028VTHNMF1
    U028VTHNMF1 Posts: 64 🧑🏻‍🚀 - Cadet
    Options

    If needed we can connect personally

  • U028VTHNMF1
    U028VTHNMF1 Posts: 64 🧑🏻‍🚀 - Cadet
    Options

    via skype

  • U02AYPJ2E8H
    U02AYPJ2E8H Posts: 6 🧑🏻‍🚀 - Cadet
    Options

    @U028VTHNMF1 Thank you for your help I'l try to solve and then contact with you according to situation.

  • U028VTHNMF1
    U028VTHNMF1 Posts: 64 🧑🏻‍🚀 - Cadet
    Options

    Okay.